=== debian/changelog ===
gnuplot (4.6.6-4) unstable; urgency=medium

  * [701337b] Remove gnuplot4 binaries in favor of gnuplot5.
              Let gnuplot be virtual package only.
  * [720f498] Do not compile gnuplot4.
  * [c11ce5e] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 31 May 2016 21:34:35 +0200

gnuplot (4.6.6-3) unstable; urgency=medium

  * [5b6c81a] Make gnuplot be dependent on version 5.
  * [7bf195b] Apply cme fix dpkg-control.

 -- Anton Gladky <gladk@debian.org>  Wed, 26 Aug 2015 22:57:59 +0200

gnuplot (4.6.6-2) unstable; urgency=medium

  * [e141e1d] Move update-alternatives for gnuplot.gih from 
              gnuplot to gnuplot4. (Closes: #776434)

 -- Anton Gladky <gladk@debian.org>  Wed, 28 Jan 2015 20:48:39 +0100

gnuplot (4.6.6-1) unstable; urgency=medium

  * [5b5e9cd] Imported Upstream version 4.6.6
  * [0a383da] Refresh patches.
  * [006e379] Set Standards-Version: 3.9.6. No changes.
  * [cc0778a] Fix lintian warning in d/copyright.

 -- Anton Gladky <gladk@debian.org>  Mon, 29 Sep 2014 19:33:35 +0200
