=== debian/control ===
--- 
+++ 
@@ -4,7 +4,36 @@
 Section: math
 Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9.20160403),
+               dh-autoreconf,
+               dh-lua,
+               libcairo2-dev,
+               libedit-dev,
+               libgd2-dev,
+               liblua5.1-dev,
+               libpango1.0-dev,
+               libpng-dev,
+               qtbase5-dev,
+               qtbase5-dev-tools,
+               qttools5-dev-tools,
+               latex2html,
+               libqt5webkit5-dev,
+               libqt5opengl5-dev,
+               libqt5svg5-dev,
+               libx11-dev,
+               libxt-dev,
+               pkg-config,
+               texinfo,
+               texlive-fonts-recommended,
+               texlive-font-utils,
+               texlive-latex-base,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               libwxgtk3.0-dev,
+               zlib1g-dev,
+               emacs24
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gnuplot.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gnuplot.git
@@ -12,9 +41,11 @@
 
 Package: gnuplot
 Architecture: all
-Depends: gnuplot5-qt | gnuplot5-x11 | gnuplot5-nox,
+Depends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
          ${misc:Depends}
-Description: Command-line driven interactive plotting program
+Suggests: gnuplot-doc
+Provides: gnuplot5
+Description: Command-line driven interactive plotting program, version 5
  Gnuplot is a portable command-line driven interactive data and function
  plotting utility that supports lots of output formats, including drivers
  for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
@@ -26,3 +57,121 @@
  .
  This package is for transition and to install a full-featured gnuplot
  supporting the X11-output.
+
+Package: gnuplot-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: Command-line driven interactive plotting program. Doc-package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains the additional documentation.
+
+Package: gnuplot-nox
+Architecture: any
+Depends: gnuplot-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: fonts-liberation,
+            groff
+Suggests: gnuplot-doc
+Conflicts: gnuplot-qt,
+           gnuplot-x11
+Provides: gnuplot5-nox
+Replaces: gnuplot-qt,
+          gnuplot-x11
+Description: Command-line driven interactive plotting program. No-X package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11. The QT-output is packaged in gnuplot-qt.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package is for working without an X server.
+
+Package: gnuplot-qt
+Architecture: any
+Depends: gnuplot-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnuplot-doc
+Conflicts: gnuplot-x11,
+           gnuplot-nox
+Provides: gnuplot-nox,
+          gnuplot5-qt
+Replaces: gnuplot-x11,
+          gnuplot-nox
+Description: Command-line driven interactive plotting program. QT-package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains the terminal driver that enables gnuplot to plot
+ images interactively under X11. Most users will want this, it is however
+ packaged separately so that low-end systems don't need X installed to use
+ gnuplot.
+ .
+ The package provides gnuplot-x11 and gnuplot-nox terminals plus an
+ additional QT-terminal for output (not default one).
+
+Package: gnuplot-x11
+Architecture: any
+Depends: gnuplot-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gnuplot-doc
+Conflicts: gnuplot-qt,
+           gnuplot-nox
+Provides: gnuplot-nox,
+          gnuplot5-x11
+Replaces: gnuplot-qt,
+          gnuplot-nox
+Description: Command-line driven interactive plotting program. X-package
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains the terminal driver that enables gnuplot to plot
+ images interactively under X11. Most users will want this, it is however
+ packaged separately so that low-end systems don't need X installed to use
+ gnuplot.
+
+Package: gnuplot-data
+Architecture: all
+Section: doc
+Depends: aglfn,
+         ${misc:Depends}
+Breaks: gnuplot5-data,
+        gnuplot-tex (<= 4.6.6-3)
+Replaces: gnuplot5-data,
+          gnuplot-tex (<= 4.6.6-3)
+Description: Command-line driven interactive plotting program. Data-files
+ Gnuplot is a portable command-line driven interactive data and function
+ plotting utility that supports lots of output formats, including drivers
+ for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
+ is packaged in gnuplot-x11.
+ .
+ Data files and self-defined functions can be manipulated by the internal
+ C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
+ and can work with complex numbers.
+ .
+ This package contains data-files which are used by -nox, -x11 and -qt.
