=== debian/watch ===
version=3
opts=repacksuffix=+dfsg2,dversionmangle=s/\+dfsg\d*$// \
http://sf.net/gnuplot/gnuplot-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
