## gnuplot 5.0.4+dfsg1

=== debian/changelog ===
gnuplot (5.0.4+dfsg1-3) unstable; urgency=medium

  * [a5ccd06] Disable lua for mips* and powerpc to escape crashes.

 -- Anton Gladky <gladk@debian.org>  Wed, 03 Aug 2016 17:46:29 +0200

gnuplot (5.0.4+dfsg1-2) unstable; urgency=medium

  * [081cf03] Fix debhelper version dependency.

 -- Anton Gladky <gladk@debian.org>  Tue, 02 Aug 2016 18:11:31 +0200

gnuplot (5.0.4+dfsg1-1) unstable; urgency=medium

  * [e06b554] Update NEWS file. (Closes: #827918)
  * [1ebeecc] Imported Upstream version 5.0.4+dfsg1
  * [4176d8a] Refresh patches.
  * [500191f] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Mon, 01 Aug 2016 23:36:00 +0200

gnuplot (5.0.3+dfsg3-7) unstable; urgency=medium

  * [2a1377d] Fix the crash during resize of qt-window. (Closes: #827351)

 -- Anton Gladky <gladk@debian.org>  Sat, 18 Jun 2016 08:27:47 +0200

gnuplot (5.0.3+dfsg3-6) unstable; urgency=medium

  [ Alexis Bienvenüe ]
  * [8487b29] Make the build reproducible. (Closes: #827197)

 -- Anton Gladky <gladk@debian.org>  Mon, 13 Jun 2016 22:06:57 +0200
